(TeX-add-style-hook "memoir"
 (lambda ()
    (LaTeX-add-index-entries
     "\\@bsphack%
    \\@ifnextchar [{\\@index}{\\@index[\\jobname]}"
     "\\NAT@idxtxt")
    (LaTeX-add-environments
     "writeverbatim"
     "boxedverbatim"
     "fboxverbatim"
     "verbatimoutput"
     "verbatim"
     "tabularx"
     "tabular"
     "array"
     '("adjustwidth" 2)
     '("thebibliography" 1)
     '("bibitemlist" 1)
     '("hangparas" 2)
     "titlingpage"
     "abstract"
     "onecolabstract"
     "appendices"
     "subappendices"
     "description"
     "blockdescription"
     "quotation"
     "quote"
     "symbols"
     "verse"
     "altverse"
     "patverse"
     "subfloat"
     "epigraphs"
     "theindex"
     "framed"
     "shaded"
     "leftbar"
     "adjustwidth")
    (LaTeX-add-labels
     "#1")
    (TeX-add-symbols
     "endMakeFramed"
     "endminipage"
     "endctabular"
     "enditemize"
     '("movetooddpage" ["argument"] 0)
     '("cleartooddpage" ["argument"] 0)
     '("movetoevenpage" ["argument"] 0)
     '("cleartoevenpage" ["argument"] 0)
     '("tabson" ["argument"] 0)
     '("printindex" ["argument"] 0)
     '("newlistentry" ["argument"] 3)
     '("epigraphforheader" ["argument"] 1)
     '("epigraphhead" ["argument"] 1)
     '("bicaption" ["argument"] 4)
     '("bionenumcaption" ["argument"] 5)
     '("bitwonumcaption" ["argument"] 5)
     '("providefixedcaption" ["argument"] 2)
     '("renewfixedcaption" ["argument"] 2)
     '("newfixedcaption" ["argument"] 2)
     '("newfloat" ["argument"] 3)
     '("autorows" ["argument"] 4)
     '("autocols" ["argument"] 4)
     '("memhline" ["argument"] 0)
     '("ctabular" ["argument"] 0)
     '("verselinebreak" ["argument"] 0)
     '("raggedyright" ["argument"] 0)
     '("setxlvchars" ["argument"] 0)
     '("setlxvchars" ["argument"] 0)
     '("OrdinalToName" 1)
     '("ordinaltoName" 1)
     '("ordinaltoname" 1)
     '("NumToName" 1)
     '("numtoName" 1)
     '("numtoname" 1)
     '("tensordinalname" 2)
     '("teenordinalname" 1)
     '("unitordinalname" 1)
     '("tensnumbername" 2)
     '("teennumbername" 1)
     '("unitnumbername" 1)
     '("fordinal" 1)
     '("ordinal" 1)
     '("fcardinal" 1)
     '("cardinal" 1)
     '("numdigits" 1)
     '("ordscript" 1)
     '("textsubscript" 1)
     '("slashfrac" 2)
     '("slashfracstyle" 1)
     '("needspace" 1)
     '("calccentering" 1)
     '("changetext" 5)
     '("pmemlabelref" 1)
     '("newpmemlabel" 2)
     '("pmemlabel" 1)
     '("providelength" 1)
     '("providecounter" 1)
     '("addtostream" 2)
     '("closeinputstream" 1)
     '("openinputfile" 2)
     '("closeoutputstream" 1)
     '("openoutputfile" 2)
     '("IfStreamOpen" 3)
     '("newinputstream" 1)
     '("newoutputstream" 1)
     '("MakeFramed" 1)
     '("bvtopofpage" 1)
     '("getthelinenumber" 1)
     '("linenumberfrequency" 1)
     '("linenumberfont" 1)
     '("commentson" 1)
     '("commentsoff" 1)
     '("newcomment" 1)
     '("setverbatimfont" 1)
     '("changed" 1)
     '("deleted" 1)
     '("added" 1)
     '("paragraphfootstyle" 1)
     '("threecolumnfootstyle" 1)
     '("twocolumnfootstyle" 1)
     '("plainfootstyle" 1)
     '("newfootnoteseries" 1)
     '("footref" 1)
     '("makefootmark" 1)
     '("footmarkstyle" 1)
     '("sidebar" 1)
     '("setsidebarheight" 1)
     '("seealso" 2)
     '("see" 2)
     '("hyperlink" 2)
     '("hyperpage" 1)
     '("specialindex" 3)
     '("setbiblabel" 1)
     '("maxsecnumdepth" 1)
     '("setsecnumdepth" 1)
     '("maxtocdepth" 1)
     '("changetocdepth" 1)
     '("settocdepth" 1)
     '("cftaddnumtitleline" 5)
     '("cftaddtitleline" 4)
     '("cftlocalchange" 3)
     '("precistoctext" 1)
     '("chapterprecistoc" 1)
     '("chapterprecishere" 1)
     '("chapterprecis" 1)
     '("cftpagenumberson" 1)
     '("cftpagenumbersoff" 1)
     '("cftchapterfillnum" 1)
     '("chapternumberline" 1)
     '("cftpartfillnum" 1)
     '("partnumberline" 1)
     '("cftsetindents" 3)
     '("cftdotfill" 1)
     '("setrmarg" 1)
     '("setpnumwidth" 1)
     '("newlistof" 3)
     '("tocskip" 1)
     '("titleref" 1)
     '("theTitleReference" 2)
     '("Sref" 1)
     '("Cref" 1)
     '("Pref" 1)
     '("pref" 1)
     '("tref" 1)
     '("fref" 1)
     '("dropchapter" 1)
     '("qitemlabel" 1)
     '("qitem" 2)
     '("epigraph" 2)
     '("epigraphsourceposition" 1)
     '("epigraphtextposition" 1)
     '("epigraphposition" 1)
     '("epigraphfontsize" 1)
     '("subcaptionfont" 1)
     '("subcaptionlabelfont" 1)
     '("subcaptionsize" 1)
     '("subcaptionstyle" 1)
     '("bicontcaption" 3)
     '("legend" 1)
     '("midbicaption" 1)
     '("postcaption" 1)
     '("precaption" 1)
     '("indentcaption" 1)
     '("captionwidth" 1)
     '("captionstyle" 1)
     '("captiontitlefont" 1)
     '("captionnamefont" 1)
     '("captiondelim" 1)
     '("newsubfloat" 1)
     '("memcline" 2)
     '("bktabrule" 1)
     '("poemtitlemark" 1)
     '("indentpattern" 1)
     '("gobm" 1)
     '("checkifinteger" 1)
     '("arraytostring" 2)
     '("checkarrayindex" 2)
     '("getarrayelement" 3)
     '("setarrayelement" 3)
     '("stringtoarray" 2)
     '("newarray" 3)
     '("vinphantom" 1)
     '("flagverse" 1)
     '("poemlines" 1)
     '("symboldef" 2)
     '("symbollabel" 1)
     '("blockdescriptionlabel" 1)
     '("descriptionlabel" 1)
     '("hangpara" 2)
     '("hangfrom" 1)
     '("setsecnumformat" 1)
     '("sethangfrom" 1)
     '("setsubparaheadstyle" 1)
     '("setaftersubparaskip" 1)
     '("setbeforesubparaskip" 1)
     '("setsubparaindent" 1)
     '("setsubparahook" 1)
     '("setparaheadstyle" 1)
     '("setafterparaskip" 1)
     '("setbeforeparaskip" 1)
     '("setparaindent" 1)
     '("setparahook" 1)
     '("setsubsubsecheadstyle" 1)
     '("setaftersubsubsecskip" 1)
     '("setbeforesubsubsecskip" 1)
     '("setsubsubsecindent" 1)
     '("setsubsubsechook" 1)
     '("setsubsecheadstyle" 1)
     '("setaftersubsecskip" 1)
     '("setbeforesubsecskip" 1)
     '("setsubsecindent" 1)
     '("setsubsechook" 1)
     '("setsecheadstyle" 1)
     '("setaftersecskip" 1)
     '("setbeforesecskip" 1)
     '("setsecindent" 1)
     '("setsechook" 1)
     '("chapterstyle" 1)
     '("makechapterstyle" 2)
     '("printparttitle" 1)
     '("chaptermark" 1)
     '("partmark" 1)
     '("abslabeldelim" 1)
     '("thanksmarkstyle" 1)
     '("thanksgap" 1)
     '("thanksmark" 1)
     '("thanksheadextra" 2)
     '("thanksmarkseries" 1)
     '("postdate" 1)
     '("predate" 1)
     '("postauthor" 1)
     '("preauthor" 1)
     '("posttitle" 1)
     '("pretitle" 1)
     '("mergepagefloatstyle" 3)
     '("ifonlyfloats" 2)
     '("copypagestyle" 2)
     '("aliaspagestyle" 2)
     '("makepagestyle" 1)
     '("makepsmarks" 2)
     '("makeheadposition" 5)
     '("makefootrule" 4)
     '("makeheadrule" 3)
     '("makerunningwidth" 2)
     '("makeoddfoot" 4)
     '("makeevenfoot" 4)
     '("makeoddhead" 4)
     '("makeevenhead" 4)
     '("setmarginnotes" 3)
     '("setcolsepandrule" 2)
     '("setheadfoot" 2)
     '("setheaderspaces" 3)
     '("setulmarginsandblock" 3)
     '("setulmargins" 3)
     '("setlrmarginsandblock" 3)
     '("setlrmargins" 3)
     '("settypeblocksize" 3)
     '("settrimmedsize" 3)
     '("settrims" 2)
     '("setstocksize" 2)
     '("setfillsize" 5)
     '("setrectanglesize" 3)
     '("nametest" 2)
     "kill"
     "phantomsection"
     "addtodef"
     "addtoiargdef"
     "openright"
     "openany"
     "openleft"
     "cleartorecto"
     "cleartoverso"
     "captionsize"
     "checkthelayout"
     "fixthelayout"
     "typeoutlayout"
     "checkandfixthelayout"
     "fixpdflayout"
     "fixdvipslayout"
     "typeoutstandardlayout"
     "footruleheight"
     "footruleskip"
     "baselinestretch"
     "cleardoublepage"
     "chaptermark"
     "sectionmark"
     "tocmark"
     "lofmark"
     "lotmark"
     "savepagenumber"
     "restorepagenumber"
     "maketitlehooka"
     "maketitlehookb"
     "maketitlehookc"
     "maketitlehookd"
     "symbolthanksmark"
     "continuousmarks"
     "tamark"
     "thanksscript"
     "makethanksmarkhook"
     "thanksfootmark"
     "makethanksmark"
     "usethanksrule"
     "cancelthanksrule"
     "thanksrule"
     "footnoterule"
     "footnotesize"
     "emptythanks"
     "maketitle"
     "title"
     "author"
     "date"
     "thanksmarkseries"
     "thanksheadextra"
     "thanksfootextra"
     "thanksmark"
     "thanksgap"
     "keepthetitle"
     "thanks"
     "and"
     "andnext"
     "killtitle"
     "thetitle"
     "theauthor"
     "thedate"
     "abstractcol"
     "abstractintoc"
     "abstractnum"
     "abstractrunin"
     "abstractnamefont"
     "abstracttextfont"
     "absnamepos"
     "setup"
     "put"
     "num"
     "saythanks"
     "bibmark"
     "indexmark"
     "frontmatter"
     "mainmatter"
     "backmatter"
     "part"
     "beforepartskip"
     "midpartskip"
     "afterpartskip"
     "partnamefont"
     "partnumfont"
     "parttitlefont"
     "printpartname"
     "partnamenum"
     "printpartnum"
     "chapter"
     "insertchapterspace"
     "chapterheadstart"
     "printchaptername"
     "chapternamenum"
     "printchapternum"
     "afterchapternum"
     "printchapternonum"
     "printchaptertitle"
     "afterchaptertitle"
     "chapnamefont"
     "chapnumfont"
     "chaptitlefont"
     "section"
     "sechook"
     "beforesecskip"
     "aftersecskip"
     "secheadstyle"
     "subsection"
     "subsechook"
     "beforesubsecskip"
     "aftersubsecskip"
     "subsecheadstyle"
     "subsubsection"
     "subsubsechook"
     "beforesubsubsecskip"
     "aftersubsubsecskip"
     "subsubsecheadstyle"
     "paragraph"
     "parahook"
     "beforeparaskip"
     "afterparaskip"
     "paraheadstyle"
     "subparagraph"
     "subparahook"
     "beforesubparaskip"
     "aftersubparaskip"
     "subparaheadstyle"
     "hangsecnum"
     "defaultsecnum"
     "plainbreak"
     "fancybreak"
     "plainfancybreak"
     "pen"
     "pfbreakdisplay"
     "pfbreakOutput"
     "pfbreak"
     "noprelistbreak"
     "appendix"
     "appendixpage"
     "restoreapp"
     "setthesection"
     "addappheadtotoc"
     "sectionname"
     "ragrparindent"
     "defaultlists"
     "tightlists"
     "firmlist"
     "tightlist"
     "savetrivseps"
     "restoretrivseps"
     "zerotrivseps"
     "enumerate"
     "vin"
     "incr"
     "start"
     "theHpoemline"
     "get"
     "getstar"
     "poemtitle"
     "poemtoc"
     "poemtitlefont"
     "multicolumn"
     "newcolumntype"
     "showcols"
     "firsthline"
     "lasthline"
     "tabularxcolumn"
     "write"
     "let"
     "hbadness"
     "hfuzz"
     "arraybackslash"
     "tracingtabularx"
     "heavyrulewidth"
     "lightrulewidth"
     "cmidrulewidth"
     "belowrulesep"
     "belowbottomsep"
     "aboverulesep"
     "abovetopsep"
     "cmidrulesep"
     "cmidrulekern"
     "defaultaddspace"
     "futurenonspacelet"
     "nexttoken"
     "toprule"
     "midrule"
     "bottomrule"
     "specialrule"
     "addlinespace"
     "cmrsideswitch"
     "cmidrule"
     "morecmidrules"
     "ctableftskip"
     "ctabrightskip"
     "NC"
     "tabularnewline"
     "ctabsetlines"
     "hline"
     "abovecolumnspenalty"
     "preautotab"
     "postautotab"
     "linespercol"
     "flushleftright"
     "centerlastline"
     "changecaptionwidth"
     "normalcaptionwidth"
     "hangcaption"
     "normalcaption"
     "caption"
     "footnote"
     "footnotemark"
     "contcaption"
     "namedlegend"
     "shortsubcaption"
     "hangsubcaption"
     "normalsubcaption"
     "subfloattopskip"
     "subfloatcapskip"
     "subfloatcaptopadj"
     "subfloatbottomskip"
     "subfloatlabelskip"
     "subfloatcapmargin"
     "loosesubcaptions"
     "tightsubcaptions"
     "subconcluded"
     "subcaption"
     "contsubcaption"
     "subbottom"
     "contsubbottom"
     "subtop"
     "contsubtop"
     "memlistsubcaptions"
     "memsubfig"
     "memsub"
     "subcaptionref"
     "ssc"
     "epigraphsize"
     "epigraphflush"
     "textflush"
     "sourceflush"
     "makelabel"
     "undodrop"
     "the"
     "epigraphpicture"
     "rm"
     "sf"
     "tt"
     "bf"
     "it"
     "sl"
     "sc"
     "cal"
     "mit"
     "emph"
     "em"
     "label"
     "index"
     "glossary"
     "markboth"
     "markright"
     "noexpand"
     "currenttitle"
     "numberline"
     "namerefon"
     "namerefoff"
     "legend"
     "ensureonecol"
     "restorefromonecol"
     "cftdot"
     "cftdotsep"
     "cftnodots"
     "cftparfillskip"
     "cftpartfont"
     "cftpartpresnum"
     "cftpartaftersnum"
     "cftpartaftersnumb"
     "cftpartleader"
     "cftpartdotsep"
     "cftpartpagefont"
     "cftpartafterpnum"
     "cftchapterfont"
     "cftchapterpresnum"
     "cftchapteraftersnum"
     "cftchapteraftersnumb"
     "cftchapterleader"
     "cftchapterdotsep"
     "cftchapterpagefont"
     "cftchapterafterpnum"
     "cftchapterbreak"
     "prechapterprecis"
     "postchapterprecis"
     "precistocfont"
     "bibindent"
     "biblistextra"
     "newblock"
     "bibsection"
     "bibintoc"
     "nobibintoc"
     "prebibhook"
     "postbibhook"
     "item"
     "indexintoc"
     "noindexintoc"
     "preindexhook"
     "l"
     "subitem"
     "subsubitem"
     "indexspace"
     "makememindexhook"
     "specialindex"
     "hyperspindexpage"
     "seename"
     "alsoname"
     "citeindexfile"
     "parnopar"
     "sidepar"
     "sidebarfont"
     "sidebarform"
     "sidecontents"
     "multfootsep"
     "multiplefootnotemarker"
     "footscript"
     "makefootmarkhook"
     "footfootmark"
     "verbfootnote"
     "feetabovefloat"
     "feetbelowfloat"
     "extrafeetins"
     "extrafeetinshook"
     "extrafeetreinshook"
     "foottextfont"
     "extrafeetminihook"
     "extrafeetendmini"
     "extrafeetendminihook"
     "plainfootnotes"
     "mp"
     "twocolumnfootnotes"
     "threecolumnfootnotes"
     "footfudgefiddle"
     "paragraphfootnotes"
     "v"
     "trimmark"
     "Ltrimpictl"
     "Ltrimpictr"
     "Ltrimpicbl"
     "Ltrimpicbr"
     "Ftrimpicbl"
     "trimXmarks"
     "trimLmarks"
     "trimFrame"
     "trimNone"
     "tmarktl"
     "tmarktr"
     "tmarkbl"
     "tmarkbr"
     "tmarktm"
     "tmarkml"
     "tmarkmr"
     "tmarkbm"
     "trimmarks"
     "dol"
     "mem"
     "x"
     "tabsoff"
     "setupcomment"
     "verbatiminput"
     "verbatimbreakchar"
     "setverbatimbreak"
     "wrappingon"
     "wrappingoff"
     "wrapright"
     "MakeShortVerb"
     "DeleteShortVerb"
     "vlvnumfont"
     "linemodnum"
     "boxverbflag"
     "resetbvlinenumber"
     "bvnumbersinside"
     "bvnumbersoutside"
     "setupboxverb"
     "setupbox"
     "bvtoprulehook"
     "bvendrulehook"
     "bvleftsidehook"
     "bvrightsidehook"
     "bvtopmidhook"
     "boxedverbatiminput"
     "frenchspacing"
     "bvbox"
     "nobvbox"
     "bvtopandtail"
     "bvsides"
     "width"
     "height"
     "FrameCommand"
     "FrameHeightAdjust"
     "FrameRestore"
     "instre"
     "outstre"
     "checkstre"
     "readstream"
     "readaline"
     "readverbatim"
     "verb"
     "readboxedverbatim"
     "stre"
     "provideenvironment"
     "newloglike"
     "provideloglike"
     "m"
     "counterwithin"
     "counterwithout"
     "cplabel"
     "checkoddpage"
     "protect"
     "ch"
     "Needspace"
     "M"
     "medspace"
     "namenumberand"
     "namenumbercomma"
     "lcminusname"
     "ucminusname"
     "minusname"
     "tensunitsep"
     "nthstring"
     "iststring"
     "iindstring"
     "iiirdstring"
     "tiethstring"
     "teenstring"
     "form"
     "fnumbersep"
     "ordstring"
     "nNameo"
     "nNamec"
     "nNamem"
     "nNamemm"
     "nNamemmm"
     "nNamei"
     "nNameii"
     "nNameiii"
     "nNameiv"
     "nNamev"
     "nNamevi"
     "nNamevii"
     "nNameviii"
     "nNameix"
     "nNamex"
     "nNamexi"
     "nNamexii"
     "nNamexiii"
     "nNamexiv"
     "nNamexv"
     "nNamexvi"
     "nNamexvii"
     "nNamexviii"
     "nNamexix"
     "nNamexx"
     "nNamexxx"
     "nNamexl"
     "nNamel"
     "nNamelx"
     "nNamelxx"
     "nNamelxxx"
     "nNamexc"
     "nthNameo"
     "nthNamei"
     "nthNameii"
     "nthNameiii"
     "nthNameiv"
     "nthNamev"
     "nthNamevi"
     "nthNamevii"
     "nthNameviii"
     "nthNameix"
     "nthNamexii"
     "nthNamexx"
     "nthNamexxx"
     "nthNamexl"
     "nthNamel"
     "nthNamelx"
     "nthNamelxx"
     "nthNamelxxx"
     "nthNamexc"
     "n"
     "abstractname"
     "contentsname"
     "listfigurename"
     "listtablename"
     "partname"
     "chaptername"
     "appendixname"
     "appendixtocname"
     "appendixpagename"
     "bibname"
     "indexname"
     "figurename"
     "tablename"
     "figurerefname"
     "tablerefname"
     "pagename"
     "pagerefname"
     "partrefname"
     "chapterrefname"
     "sectionrefname"
     "today"
     "msdoublespacing"
     "mssinglespacing")
    (TeX-run-style-hooks
     "leqno"
     "fleqn")))

