(TeX-add-style-hook "revtex4"
 (lambda ()
    (LaTeX-add-environments
     "array"
     "abstract"
     "titlepage"
     "verse"
     "quotation"
     "quote"
     "description"
     "acknowledgments"
     "acknowledgements"
     "figure"
     "table"
     "longtable"
     "turnpage"
     "ruledtabular"
     "thebibliography"
     "widetext"
     "references"
     "quasitable"
     "mathletters")
    (LaTeX-add-labels
     "FirstPage"
     "LastBibItem")
    (TeX-add-symbols
     "endnotetext"
     "endnote"
     "endpage"
     "endtabular"
     "endminipage"
     "enddocument"
     '("eprint" ["argument"] 1)
     '("published" ["argument"] 1)
     '("accepted" ["argument"] 1)
     '("revised" ["argument"] 1)
     '("received" ["argument"] 1)
     '("altaffiliation" ["argument"] 1)
     '("homepage" ["argument"] 0)
     '("email" ["argument"] 0)
     '("url" 1)
     '("bibinfo" 2)
     '("href" 2)
     '("saythe" 1)
     '("say" 1)
     "other"
     "tracingplain"
     "traceoutput"
     "fullinterlineskip"
     "prepdef"
     "appdef"
     "gappdef"
     "loopuntil"
     "loopwhile"
     "flushing"
     "eqnarray"
     "mathindent"
     "footnotemark"
     "addtocontents"
     "addcontentsline"
     "contentsline"
     "triggerpar"
     "oneapage"
     "phantomsection"
     "Hy"
     "hyper"
     "multicolumn"
     "intertabularlinepenalty"
     "frstrut"
     "lrstrut"
     "tableftsep"
     "tabmidsep"
     "tabrightsep"
     "numberline"
     "list"
     "lineloop"
     "markboth"
     "markright"
     "leftmark"
     "rightmark"
     "clearpage"
     "cleardoublepage"
     "minipagefootnote"
     "rotatebox"
     "removestuff"
     "removephantombox"
     "addstuff"
     "replacestuff"
     "thepagegrid"
     "onecolumngrid"
     "onecolumn"
     "restorecolumngrid"
     "twocolumngrid"
     "twocolumn"
     "tabularnewline"
     "newpage"
     "pagebreak"
     "nopagebreak"
     "hline"
     "kill"
     "caption"
     "protect"
     "enlargethispage"
     "NoCaseChange"
     "MakeTextUppercase"
     "i"
     "j"
     "MakeTextLowercase"
     "ProvidesPackage"
     "ProcessOptions"
     "DeclareOption"
     "checkindate"
     "sectionmark"
     "subsectionmark"
     "collaboration"
     "href"
     "surname"
     "firstname"
     "noaffiliation"
     "blankaffiliation"
     "url"
     "doauthor"
     "keywords"
     "pacs"
     "preprint"
     "thempfn"
     "and"
     "affiliation"
     "author"
     "email"
     "maketitle"
     "thanks"
     "thefootnote"
     "volumeyear"
     "volumenumber"
     "issuenumber"
     "eid"
     "startpage"
     "topfraction"
     "bottomfraction"
     "textfraction"
     "floatpagefraction"
     "dbltopfraction"
     "dblfloatpagefraction"
     "descriptionlabel"
     "makelabel"
     "thepart"
     "theparagraph"
     "thesubparagraph"
     "part"
     "section"
     "subsection"
     "subsubsection"
     "paragraph"
     "subparagraph"
     "theequation"
     "printfigures"
     "squeezetable"
     "printtables"
     "toprule"
     "colrule"
     "botrule"
     "baselinestretch"
     "bibliographystyle"
     "bibsection"
     "bibpreamble"
     "newblock"
     "bibnumfmt"
     "citeyear"
     "onlinecite"
     "textcite"
     "chapter"
     "label"
     "index"
     "glossary"
     "cite"
     "ref"
     "pageref"
     "string"
     "footnote"
     "printendnotes"
     "appendix"
     "rm"
     "sf"
     "tt"
     "bf"
     "it"
     "sl"
     "sc"
     "cal"
     "mit"
     "today"
     "notesname"
     "partname"
     "tocname"
     "lofname"
     "lotname"
     "refname"
     "indexname"
     "figurename"
     "figuresname"
     "tablename"
     "tablesname"
     "abstractname"
     "appendixesname"
     "appendixname"
     "acknowledgmentsname"
     "journalname"
     "copyrightname"
     "andname"
     "ppname"
     "numbername"
     "volumename"
     "address"
     "altaddress"
     "draft"
     "tighten"
     "tableline"
     "case"
     "slantfrac"
     "tablenote"
     "tablenotemark"
     "tablenotetext"
     "REV"
     "FL"
     "FR"
     "narrowtext"
     "mediumtext"
     "text"
     "bm"
     "bbox"
     "mathletters"
     "eqnum"
     "thesection"
     "thesubsection"
     "thesubsubsection")
    (TeX-run-style-hooks
     "revsymb"
     "natbib"
     "sort&compress"
     "url"
     "amsmath"
     "amssymb"
     "amsfonts"
     "hyperref"
     "fleqn")))

